// AddKey.h.h : Declaration of the CAddTreeItem

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CAddTreeItem
class CAddTreeItem : 
	public CDialogImpl<CAddTreeItem>
{
public:
	CAddTreeItem() {}
	~CAddTreeItem() {}

	enum { IDD = IDD_ADDKEY };

BEGIN_MSG_MAP(CAddTreeItem)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
END_MSG_MAP()


	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
	{
		return 1;  // Let the system set the focus
	}

	LRESULT OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtlr, BOOL& bHandled)
	{
		HWND hWnd = GetDlgItem(IDC_EDIT);
		if (hWnd)
			::SendMessage(hWnd, WM_GETTEXT, _MAX_PATH, (LPARAM)m_szPath);
		EndDialog(IDOK);
		return 0;
	}

	LRESULT OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtlr, BOOL& bHandled)
	{
		EndDialog(IDCANCEL);
		return 0;
	}
	TCHAR m_szPath[_MAX_PATH];
};